<template>
  <view class="dec-line">
    <view class="d-wrap">
      <view
        class="d-line"
        :style="{
          borderColor: arg.color,
          width: width,
          borderStyle: arg.lineStyle,
        }"
      ></view>
    </view>
  </view>
</template>

<script>
export default {
  props: {
    tab: {
      type: Object,
      default: () => {
        return {};
      },
    },
  },
  data() {
    return {
      arg: null,
    };
  },
  created() {
    this.arg = this.tab.arg;
  },
  computed: {
    width() {
      return this.arg.margin === "yes" ? "80%" : "100%";
    },
  },
};
</script>
